%define name xgospel
%define version 1.12d
%define release 7mdk

Summary: An X11 client for Internet Go Server
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Strategy
Source: http://img.teaser.fr/~jlgailly/%{name}-%{version}.tar.bz2
URL: http://gailly.net/xgospel/index.html
Prefix: /usr/X11R6
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Xgospel is an X11 client for Internet Go Server, it provides a graphical 
interface with a lot of features to play on the Internet using IGS 
(a place with players of all countries playing Go).

%prep

%setup -q

%build
mv resources.c resources.c.orig
sed -e 's|board.xpm|/usr/X11R6/lib/xgospel/board.xpm|' <resources.c.orig >resources.c
mv XGospel.res XGospel.res.orig
sed -e 's|\(board.xpm\)|\(/usr/X11R6/lib/xgospel/board.xpm\)|' <XGospel.res.orig >XGospel.res
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -fr %buildroot

mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install 
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/xgospel
mv *.xpm $RPM_BUILD_ROOT%{prefix}/lib/xgospel
mv my/*.xpm $RPM_BUILD_ROOT%{prefix}/lib/xgospel
mv *.res $RPM_BUILD_ROOT%{prefix}/lib/xgospel

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="/usr/X11R6/bin/xgospel" \
title="Xgospel" \
longtitle="A graphical client for Internet Go Server" \
icon="strategy_section.png" \
needs="x11" \
section="Amusement/Strategy"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES FAQ INSTALL README README.1ST TODO my/COPYRIGHTS
%dir /usr/X11R6/lib/xgospel
/usr/X11R6/bin/*
/usr/X11R6/lib/xgospel/XGospel.res
/usr/X11R6/lib/xgospel/board.xpm
/usr/X11R6/lib/xgospel/pagoda.xpm
/usr/X11R6/lib/xgospel/XgospelIcon.xpm
%{_menudir}/*

%changelog
* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.12d-7mdk
- rebuild

* Thu  Aug 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.12d-6mdk
- rebuild

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 1.12d-5mdk
- Use default strategy icon for menu entry

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 1.12d-4mdk
- rebuild

* Wed Sep 20 2000  Lenny Cartier <lenny@mandrakesoft.com> 1.12d-3mdk
- build release
- menu

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.12d-2mdk
- fix group

* Wed Dec 29 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- initial release
- relocated default xpm to /usr/X11R6/lib/xgospel
